List Transit Gateway Rules

1 - 1.1

get /v1/transit-gateways/{transit_gateway_id}/routing-rules

Description

Transit Gateway 규칙 목록 조회

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathtransit_gateway_id
required
Transit Gateway ID
Example :
stringNone
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
Routing Rule ID
Example :
any of [string, null]None
querytgw_connection_vpc_id
optional
Transit Gateway에 연결된 VPC ID.
Example :
any of [string, null]None
querytgw_connection_vpc_name
optional
Transit Gateway에 연결된 VPC명.
Example :
any of [string, null]None
querysource_type
optional
출발지 타입
Example :
enum (VPC, TGW)None
querydestination_type
optional
목적지 타입
Example :
enum (VPC, TGW)None
querydestination_cidr
optional
목적지 CIDR
Example :
any of [string, null]None
querystate
optional
상태
Example :
enum (CREATING, ACTIVE, DELETING, DELETED, ERROR)None

Responses

HTTP CodeDescriptionSchema
200OKTransitGatewayRuleListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/transit-gateways/{transit_gateway_id}/routing-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ],
    "transit_gateway_rules": [
        {
            "account_id": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "",
            "destination_cidr": "",
            "destination_resource_id": "",
            "destination_resource_name": "",
            "destination_type": "VPC",
            "id": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "source_resource_id": "",
            "source_resource_name": "",
            "source_type": "VPC",
            "state": "CREATING",
            "tgw_connection_vpc_id": "",
            "tgw_connection_vpc_name": ""
        }
    ]
}

2 - 1.0

get /v1/transit-gateways/{transit_gateway_id}/routing-rules

Description

Transit Gateway 규칙 목록 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathtransit_gateway_id
required
Transit Gateway ID
Example :
stringNone
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
Routing Rule ID
Example :
any of [string, null]None
querytgw_connection_vpc_id
optional
Transit Gateway에 연결된 VPC ID.
Example :
any of [string, null]None
querytgw_connection_vpc_name
optional
Transit Gateway에 연결된 VPC명.
Example :
any of [string, null]None
querysource_type
optional
출발지 타입
Example :
enum (VPC, TGW)None
querydestination_type
optional
목적지 타입
Example :
enum (VPC, TGW)None
querydestination_cidr
optional
목적지 CIDR
Example :
any of [string, null]None
querystate
optional
상태
Example :
enum (CREATING, ACTIVE, DELETING, DELETED, ERROR)None

Responses

HTTP CodeDescriptionSchema
200OKTransitGatewayRuleListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/transit-gateways/{transit_gateway_id}/routing-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ],
    "transit_gateway_rules": [
        {
            "account_id": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "",
            "destination_cidr": "",
            "destination_resource_id": "",
            "destination_resource_name": "",
            "destination_type": "VPC",
            "id": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "source_resource_id": "",
            "source_resource_name": "",
            "source_type": "VPC",
            "state": "CREATING",
            "tgw_connection_vpc_id": "",
            "tgw_connection_vpc_name": ""
        }
    ]
}